Jwt

Generate JWT Token

post

All fields are optional, any missing fields will be excluded expect for "file" which will always begin with your vhost

Authorizations
OAuth2applicationRequired
Token URL:
Path parameters
serviceIdanyRequired

serviceId

Body
expintegerOptionalExample: 1300819380
filestringOptionalExample: /some/path/
ipstringOptionalExample: 203.0.113.0
nbfintegerOptionalExample: 1300819380
Responses
chevron-right
200

OK

application/json
expintegerOptionalExample: 1300819380
filestringOptionalExample: /some/path/
iatintegerOptionalExample: 1300819380
ipstringOptionalExample: 203.0.113.0
issstringOptionalExample: cdn.i3d.net
nbfintegerOptionalExample: 1300819380
substringOptionalExample: k13423
tokenstringOptional
tokenSHA256HashstringOptional
post
/service/{serviceId}/jwt

Verify JWT Token

get

Verify that a JWT token is valid and signed

Authorizations
OAuth2applicationRequired
Token URL:
Path parameters
serviceIdanyRequired

serviceId

tokenanyRequired

JWT Token

Responses
get
/service/{serviceId}/jwt/{token}

Last updated

Was this helpful?